package com.sun.corba.se.impl.protocol;

import com.sun.corba.se.pept.protocol.MessageMediator;
import com.sun.corba.se.pept.protocol.ClientRequestDispatcher;
import java.util.Iterator;
import com.sun.corba.se.spi.orb.ORB;
import com.sun.corba.se.pept.protocol.ClientInvocationInfo;

public class CorbaInvocationInfo implements ClientInvocationInfo
{
    private boolean isRetryInvocation;
    private int entryCount;
    private ORB orb;
    private Iterator contactInfoListIterator;
    private ClientRequestDispatcher clientRequestDispatcher;
    private MessageMediator messageMediator;
    
    private CorbaInvocationInfo() {
    }
    
    public CorbaInvocationInfo(ORB orb) {
        this.orb = orb;
        this.isRetryInvocation = false;
        this.entryCount = 0;
    }
    
    public Iterator getContactInfoListIterator() {
        return this.contactInfoListIterator;
    }
    
    public void setContactInfoListIterator(Iterator contactInfoListIterator) {
        this.contactInfoListIterator = contactInfoListIterator;
    }
    
    public boolean isRetryInvocation() {
        return this.isRetryInvocation;
    }
    
    public void setIsRetryInvocation(boolean isRetryInvocation) {
        this.isRetryInvocation = isRetryInvocation;
    }
    
    public int getEntryCount() {
        return this.entryCount;
    }
    
    public void incrementEntryCount() {
        ++this.entryCount;
    }
    
    public void decrementEntryCount() {
        --this.entryCount;
    }
    
    public void setClientRequestDispatcher(ClientRequestDispatcher clientRequestDispatcher) {
        this.clientRequestDispatcher = clientRequestDispatcher;
    }
    
    public ClientRequestDispatcher getClientRequestDispatcher() {
        return this.clientRequestDispatcher;
    }
    
    public void setMessageMediator(MessageMediator messageMediator) {
        this.messageMediator = messageMediator;
    }
    
    public MessageMediator getMessageMediator() {
        return this.messageMediator;
    }
}
